Compare commits

..

No commits in common. "b1a3e5d72e10c23c6a5e90c7a5234235701d6460" and "48ef0718cc7ca1f72386261869abd928621f40bb" have entirely different histories.

10 changed files with 24 additions and 47 deletions

View File

@ -1,7 +1,5 @@
#!/bin/bash
set -euo pipefail
if [ "$#" -eq 0 ]
then
echo "Requires a command. Run with 'help' for a list of commands."
@ -16,15 +14,19 @@ fi
case $1 in
"mute")
pactl set-sink-mute 0 toggle
pactl list sinks | awk '/Mute/ { if ($2 == "no") print "VOL"; else print "MUT"; }'
;;
"vol-up")
pactl set-sink-volume 0 +5%
pactl list sinks | grep '^[[:space:]]Volume:' | head -n $(( SINK + 1 )) | tail -n 1 | sed -e 's,.* \([0-9][0-9]*\)%.*,\1,'
;;
"vol-down")
pactl set-sink-volume 0 -5%
pactl list sinks | grep '^[[:space:]]Volume:' | head -n $(( SINK + 1 )) | tail -n 1 | sed -e 's,.* \([0-9][0-9]*\)%.*,\1,'
;;
"reset")
pactl set-sink-volume 0 50%
pactl list sinks | grep '^[[:space:]]Volume:' | head -n $(( SINK + 1 )) | tail -n 1 | sed -e 's,.* \([0-9][0-9]*\)%.*,\1,'
;;
"help")
echo "USAGE: audio-control <command>
@ -35,8 +37,7 @@ Commands:
vol-down lower the volume
reset reset volume (to round number)
toggle-port toggle the output port
help show this help information"
;;
help show this help information";;
*)
echo "Invalid command. Run with 'help' for a list of commands."
exit 1;;

3
backup
View File

@ -1,5 +1,2 @@
#!/bin/bash
set -euo pipefail
rsync -aAXv --delete "$1" --exclude={"/dev/*","/proc/*","/sys/*","/tmp/*","/run/*","/mnt/*","/media/*","/lost+found","/media/music/*"} "$2"

View File

@ -1,5 +1,2 @@
#!/bin/bash
set -euo pipefail
sync && echo 1 > /proc/sys/vm/drop_caches

View File

@ -1,5 +1,2 @@
#!/bin/bash
set -euo pipefail
install -m 755 "$1" "$HOME/.local/bin"
#!/bin/sh
install -m 755 $1 $HOME/.local/bin

View File

@ -1,5 +1,2 @@
#!/bin/bash
set -euo pipefail
curl "ipinfo.io/$1"
curl ipinfo.io/$1

View File

@ -1,27 +1,22 @@
#!/bin/bash
set -euo pipefail
#!/bin/sh
[ "$#" -eq 0 ] &&
echo "Requires a command. Run with 'help' for a list of commands." &&
exit 1
case $1 in
"wallet")
monero-wallet-cli --daemon-address node.monero.net:13666
;;
monero-wallet-cli --daemon-address node.monero.net:13666;;
"address")
echo "42espNaUqPdJK4vTir4NDfH4gT6brFR4F5KPRADrg5t98LkzHnQfFnUDZZEetp3Zw5K8V4v364tN3TMxfg4eXEN9RpnrNBG"
;;
echo "42espNaUqPdJK4vTir4NDfH4gT6brFR4F5KPRADrg5t98LkzHnQfFnUDZZEetp3Zw5K8V4v364tN3TMxfg4eXEN9RpnrNBG";;
"mine")
xmr-stak-cpu $XDG_CONFIG_HOME/xmr-stak/cpu-config.txt;;
"help")
echo "USAGE: monero-client [command]
Commands:
address print out the monero public address
mine start the miner
wallet open the monero wallet
help show this help information"
;;
help show this help information";;
*)
echo "Invalid command '$1'. Please run with the 'help' option."
;;
echo "Invalid command '$1'. Please run with the 'help' option.";;
esac

12
setbg
View File

@ -1,14 +1,12 @@
#!/bin/bash
set -euo pipefail
#!/bin/sh
if [ $# -gt 1 ]
then
echo "Too many arguments"
exit 1
elif [ $# -eq 1 ]
then
cp "$1" "$HOME/.local/share/wallpaper.jpg"
fi
xwallpaper --zoom "$HOME/.local/share/wallpaper.jpg"
[ $# -eq 1 ] &&
cp $1 $HOME/.local/share/wallpaper.jpg
xwallpaper --zoom $HOME/.local/share/wallpaper.jpg

View File

@ -1,6 +1,4 @@
#!/bin/bash
set -euo pipefail
#!/bin/sh
# TODO:
# - Add options for port
@ -8,4 +6,4 @@ set -euo pipefail
PORT=12800
ssh -N -D "$PORT" nortega@themusicinnoise.net
ssh -N -D $PORT nortega@themusicinnoise.net

View File

@ -1,6 +1,6 @@
#!/bin/bash
set -euo pipefail
set -eu
CAMERA_DEVICE=""
MOUNT_DIR="/tmp/camera-mount"

View File

@ -1,5 +1,2 @@
#!/bin/bash
set -euo pipefail
#!/bin/sh
curl "http://wttr.in/$1?m"